#include <stdio.h>
#include <unistd.h>
#include "dioctl_api.h"

int main(int argc,char *argv[]) {
  int d = dio_open(argc>1?argv[1]:"");
  int i;

  i = dio_getattrib(d,20,"normalIO");
  if (i == 1) {
    printf("ok\n");
  } else {
    printf("failed: %d\n",i);
    return 1;
  }
  dio_setattrib(d,0,"isARealPinWeLike",0x55);
  if (dio_getattrib(d,0,"isARealPinWeLike") == 0x55) {
    printf("passed\n");
  } else {
    printf("failed\n");
  }
}
/*
  Author: Michael Schmidt (michael@embeddedARM.com)
 */

